<?php
define('NTLCMS', 1);
$module = 'sites';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница ваших площадок - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Мои площадки</b></div>';
$mysites = DB :: run() -> querySingle("select count(`id`) from `sites` where `login` = ?", array($ulogin));
if ($mysites >= $set['maxsite']){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Вы не можете больше добавлять площадки!</center></div>';
} else {
echo '<div class="menu"><i class="fa  fa-plus-circle fa-fw"></i> <a href="'.URL.'/site_add">Добавить площадку</a></div>';
}
$k_post = DB :: run() -> querySingle("select count(`id`) from `sites` where `login` = ?", array($ulogin));
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
$sql = DB :: run() -> query("select * from `sites` where `login` = ? and `id` order by `id` asc limit ".$start.", ".$onpage, array($ulogin));
if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> У вас еще нет площадок!</center></div>';
} else {
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
if ($row -> active == '0'){
$status = '<span style="color:red">OFF</span>';
} else {
$status = '<span style="color:green">ON</span>';
}
echo '<div class="menu">';
echo '<i class="fa fa-file-text-o fa-fw"></i> Название: <b>'.checkout($row -> name).'</b><br/>';
echo '<i class="fa fa-globe fa-fw"></i> Адрес: <b>'.checkout($row -> url).'</b><br/>';
echo '<i class="fa fa-calendar fa-fw"></i> Добавлена: <b>'.date('d.m.Y H:i', $row -> date).'</b><br/>';
echo '<i class="fa  fa-cogs fa-fw"></i> Статус: <b>'.ststatus($row -> status).'</b> ['.$status.']<br/>';
echo '<i class="fa  fa-barcode fa-fw"></i> Тип ссылки: <b>'.typelink($row -> type).'</b><br/>';
echo '<i class="fa  fa-location-arrow fa-fw"></i> Переходы: '.ints($row -> day).'/'.ints($row -> all).'<br/>';
if ($row -> status != '3'){
echo '<i class="fa  fa-check fa-fw"></i> <a href="'.URL.'/site_delete'.ints($row -> id).'">Удалить</a> | ';			
echo '<a href="'.URL.'/site_edit'.ints($row -> id).'">Изменить</a> | ';			
echo ' <a href="'.URL.'/site_stats'.ints($row -> id).'">Стата</a><br/>';			
}			
echo '</div>';
}			
if ($k_page > 1) navigation(URL.'/site?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a></div>';
include ('../system/foot.php');
?>